APIClient

List all servers

Returns a list of all servers the authenticated user has access to

Returns a list of all servers the authenticated user has access to

GET
/api/client

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Query Parameters

type?string

Filter servers by type (all, owner, shared)

Value in"all" | "owner" | "shared"
per_page?integer

Number of servers per page (max 100)

Default50
Range1 <= value <= 100
include?string

Additional relationships to include

Response Body

application/json

curl -X GET "https://example.com/api/client"
{
  "object": "list",
  "data": [
    {
      "object": "server",
      "attributes": {
        "uuid": "string",
        "name": "string",
        "description": "string",
        "status": "string"
      }
    }
  ]
}
Empty